%global momorel 1
Summary: access weather information
Name: libgweather
Version: 2.22.3
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.16.3
BuildPrereq: gtk2-devel >= 2.12.9
BuildPrereq: gnome-vfs2-devel >= 2.22.0
BuildPrereq: GConf2-devel >= 2.22.0
Requires: GConf2

%description
libgweather is a library to access weather information from online
services for numerous locations.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

Obsoletes: gnome-applets-devel

%description devel
%{name}-devel

%prep
%setup -q

%build
intltoolize -f
autoreconf -vfi
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf --preserve-root %{buildroot}

%post
%{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    gweather.schemas
do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gweather.schemas
%{_libdir}/libgweather.so.*
%{_datadir}/%{name}

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/libgweather.a
%{_libdir}/libgweather.so
%{_libdir}/pkgconfig/gweather.pc

%changelog
* Mon Jun 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1.1-1m)
- update to 2.22.1.1
- 2.22.1.2 was broken (intltool-merge)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-3m)
- rebuild against gcc43

* Fri Mar 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-2m)
- Obsoletes gnome-applets-devel

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- initial build
